Bug 239213 - CVE-2007-2500: gnash arbitrary code execution
CVE-2007-2500: gnash arbitrary code execution
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-06 02:35 EDT by Ville Skyttä
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.7.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-12 16:00:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-05-06 02:35:06 EDT
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-2500

"server/parser/sprite_definition.cpp in GNU Gnash (aka GNU Flash Player) 0.7.2
allows remote attackers to execute arbitrary code via a large number of
SHOWFRAME elements within a DEFINESPRITE element, which triggers memory
corruption and enables the attacker to call free with an arbitrary address,
probably resultant from a buffer overflow."
Comment 1 Patrice Dumas 2007-05-09 04:15:55 EDT
Next release is due soon. I asked the list about a patch and whether 
it was fixed in HEAD.
Comment 2 Patrice Dumas 2007-05-12 16:00:16 EDT
Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.